def creaNivDim00(path, nb, niv):
    nomFich = "00"+str(niv)+".md"
    fich = open(nomFich, 'w')
    fich.write('```toml\n')
    fich.write('title = "Niveau '+str(niv)+'"\n')
    fich.write('images = ["/'+path+'/00'+str(niv)+'.png"]\n')
    fich.write('video = ""\n')
    fich.write('\n')
    fich.write('[nav]\n')
    fich.write('prev = "/'+path+'/00'+str(niv-1)+'.html"\n')
    fich.write('next = "/'+path+'/00'+str(niv+1)+'.html"\n')
    fich.write('dims = [{name = "< Dimension '+str(niv)+' >", uri = "/'+path+'/00'+str(niv)+'.0.html"}]\n')
    fich.write('```')
    fich.close()
    nomFich = "00"+str(niv)+".0.md"
    fich = open(nomFich, 'w')
    fich.write('```toml\n')
    fich.write('title = "Niveau '+str(niv)+'.0"\n')
    fich.write('images = ["/'+path+'/00'+str(niv)+'.0.png"]\n')
    fich.write('video = ""\n')
    fich.write('\n')
    fich.write('[nav]\n')
    fich.write('prev = "/'+path+'/00'+str(niv)+'.html"\n')
    fich.write('next = "/'+path+'/00'+str(niv)+'.1.html"\n')
    fich.write('```')
    fich.close()
    for num in range (1, nb):
        nomFich = "00"+str(niv)+"."+str(num)+".md"
        fich = open(nomFich, 'w')
        fich.write('```toml\n')
        fich.write('title = "Niveau '+str(niv)+'.'+str(num)+'"\n')
        fich.write('images = ["/'+path+'/00'+str(niv)+'.'+str(num)+'.png"]\n')
        fich.write('video = ""\n')
        fich.write('\n')
        fich.write('[nav]\n')
        fich.write('prev = "/'+path+'/00'+str(niv)+'.'+str(num-1)+'.html"\n')
        fich.write('next = "/'+path+'/00'+str(niv)+'.'+str(num+1)+'.html"\n')
        fich.write('```')
        fich.close()
        
        
        
def creaNivDim0(path, nb, niv):
    nomFich = "0"+str(niv)+".md"
    fich = open(nomFich, 'w')
    fich.write('```toml\n')
    fich.write('title = "Niveau '+str(niv)+'"\n')
    fich.write('images = ["/'+path+'/0'+str(niv)+'.png"]\n')
    fich.write('video = ""\n')
    fich.write('\n')
    fich.write('[nav]\n')
    fich.write('prev = "/'+path+'/0'+str(niv-1)+'.html"\n')
    fich.write('next = "/'+path+'/0'+str(niv+1)+'.html"\n')
    fich.write('dims = [{name = "< Dimension '+str(niv)+' >", uri = "/'+path+'/0'+str(niv)+'.0.html"}]\n')
    fich.write('```')
    fich.close()
    nomFich = "0"+str(niv)+".0.md"
    fich = open(nomFich, 'w')
    fich.write('```toml\n')
    fich.write('title = "Niveau '+str(niv)+'.0"\n')
    fich.write('images = ["/'+path+'/0'+str(niv)+'.0.png"]\n')
    fich.write('video = ""\n')
    fich.write('\n')
    fich.write('[nav]\n')
    fich.write('prev = "/'+path+'/0'+str(niv)+'.html"\n')
    fich.write('next = "/'+path+'/0'+str(niv)+'.1.html"\n')
    fich.write('```')
    fich.close()
    for num in range (1, nb):
        nomFich = "0"+str(niv)+"."+str(num)+".md"
        fich = open(nomFich, 'w')
        fich.write('```toml\n')
        fich.write('title = "Niveau '+str(niv)+'.'+str(num)+'"\n')
        fich.write('images = ["/'+path+'/0'+str(niv)+'.'+str(num)+'.png"]\n')
        fich.write('video = ""\n')
        fich.write('\n')
        fich.write('[nav]\n')
        fich.write('prev = "/'+path+'/0'+str(niv)+'.'+str(num-1)+'.html"\n')
        fich.write('next = "/'+path+'/0'+str(niv)+'.'+str(num+1)+'.html"\n')
        fich.write('```')
        fich.close()
        
def creaNivDimAVirgules(path, nb, niv, point):
    nomFich = '00'+str(niv)+'.'+str(point)+'.md'
    fich = open(nomFich, 'w')
    fich.write('```toml\n')
    fich.write('title = "Niveau '+str(niv)+'.'+str(point)+'"\n')
    fich.write('images = ["/'+path+'/00'+str(niv)+'.'+str(point)+'.png"]\n')
    fich.write('video = ""\n')
    fich.write('\n')
    fich.write('[nav]\n')
    fich.write('prev = "/'+path+'/00'+str(niv)+'.'+str(point-1)+'.html"\n')
    fich.write('next = "/'+path+'/00'+str(niv)+'.'+str(point+1)+'.html"\n')
    fich.write('dims = [{name = "< Dimension '+str(niv)+'.'+str(point)+' >", uri = "/'+path+'/00'+str(niv)+'.'+str(point)+'.0.html"}]\n')
    fich.write('```')
    fich.close()
    nomFich = '00'+str(niv)+'.'+str(point)+'.0.md'
    fich = open(nomFich, 'w')
    fich.write('```toml\n')
    fich.write('title = "Niveau '+str(niv)+'.'+str(point)+'.0"\n')
    fich.write('images = ["/'+path+'/00'+str(niv)+'.'+str(point)+'.0.png"]\n')
    fich.write('video = ""\n')
    fich.write('\n')
    fich.write('[nav]\n')
    fich.write('prev = "/'+path+'/00'+str(niv)+'.'+str(point)+'.html"\n')
    fich.write('next = "/'+path+'/00'+str(niv)+'.'+str(point)+'.1.html"\n')
    fich.write('```')
    fich.close()
    for num in range (1, nb):
        nomFich = "00"+str(niv)+"."+str(point)+"."+str(num)+".md"
        fich = open(nomFich, 'w')
        fich.write('```toml\n')
        fich.write('title = "Niveau '+str(niv)+'.'+str(point)+'.'+str(num)+'"\n')
        fich.write('images = ["/'+path+'/00'+str(niv)+'.'+str(point)+'.'+str(num)+'.png"]\n')
        fich.write('video = ""\n')
        fich.write('\n')
        fich.write('[nav]\n')
        fich.write('prev = "/'+path+'/00'+str(niv)+'.'+str(point)+'.'+str(num-1)+'.html"\n')
        fich.write('next = "/'+path+'/00'+str(niv)+'.'+str(point)+'.'+str(num+1)+'.html"\n')
        fich.write('```')
        fich.close()
        
def creaNivDimEnfers(path, nb, niv, point, chemin):
    nomFich = '00'+str(niv)+chemin+'.'+str(point)+'.md'
    fich = open(nomFich, 'w')
    fich.write('```toml\n')
    fich.write('title = "Niveau '+str(niv)+chemin+'.'+str(point)+'"\n')
    fich.write('images = ["/'+path+'/00'+str(niv)+chemin+'.'+str(point)+'.png"]\n')
    fich.write('video = ""\n')
    fich.write('\n')
    fich.write('[nav]\n')
    fich.write('prev = "/'+path+'/00'+str(niv)+chemin+'.'+str(point-1)+'.html"\n')
    fich.write('next = "/'+path+'/00'+str(niv)+chemin+'.'+str(point+1)+'.html"\n')
    fich.write('dims = [{name = "< Dimension '+str(niv)+chemin+'.'+str(point)+' >", uri = "/'+path+'/00'+str(niv)+chemin+'.'+str(point)+'.0.html"}]\n')
    fich.write('```')
    fich.close()
    nomFich = '00'+str(niv)+chemin+'.'+str(point)+'.0.md'
    fich = open(nomFich, 'w')
    fich.write('```toml\n')
    fich.write('title = "Niveau '+str(niv)+chemin+'.'+str(point)+'.0"\n')
    fich.write('images = ["/'+path+'/00'+str(niv)+chemin+'.'+str(point)+'.0.png"]\n')
    fich.write('video = ""\n')
    fich.write('\n')
    fich.write('[nav]\n')
    fich.write('prev = "/'+path+'/00'+str(niv)+chemin+'.'+str(point)+'.html"\n')
    fich.write('next = "/'+path+'/00'+str(niv)+chemin+'.'+str(point)+'.1.html"\n')
    fich.write('```')
    fich.close()
    for num in range (1, nb):
        nomFich = "00"+str(niv)+chemin+"."+str(point)+"."+str(num)+".md"
        fich = open(nomFich, 'w')
        fich.write('```toml\n')
        fich.write('title = "Niveau '+str(niv)+chemin+'.'+str(point)+'.'+str(num)+'"\n')
        fich.write('images = ["/'+path+'/00'+str(niv)+chemin+'.'+str(point)+'.'+str(num)+'.png"]\n')
        fich.write('video = ""\n')
        fich.write('\n')
        fich.write('[nav]\n')
        fich.write('prev = "/'+path+'/00'+str(niv)+chemin+'.'+str(point)+'.'+str(num-1)+'.html"\n')
        fich.write('next = "/'+path+'/00'+str(niv)+chemin+'.'+str(point)+'.'+str(num+1)+'.html"\n')
        fich.write('```')
        fich.close()
        
def laby(hauteur, largeur, chemin, niveau):
    for haut in range (hauteur):
        for larg in range (largeur):
            nomFich = ''+niveau+'('+str(larg)+';'+str(haut)+').md'
            fich = open(nomFich, 'w')
            fich.write('```toml\n')
            fich.write('title = "Niveau '+niveau+'('+str(larg)+';'+str(haut)+')"\n')
            fich.write('images = ["/'+chemin+'/'+niveau+'('+str(larg)+';'+str(haut)+').png"]\n')
            fich.write('video = ""\n')
            fich.write('\n')
            fich.write('[nav]\n')
            fich.write('prev = "/'+chemin+'/'+niveau+'('+str(larg)+';'+str(haut-1)+').html"\n')
            fich.write('next = "/'+chemin+'/'+niveau+'('+str(larg)+';'+str(haut+1)+').html"\n')
            fich.write('dims = [{name = "< Niveau de gauche >", uri = "/'+chemin+'/'+niveau+'('+str(larg-1)+';'+str(haut)+').html"}, {name = "< Niveau de droite >", uri = "/'+chemin+'/'+niveau+'('+str(larg+1)+';'+str(haut)+').html"}]\n')
            fich.write('```')
            fich.close()
# utiliser la fonction creaDimNivAVirgules(NOMBRE DE NIVEAUX DANS LA DIM, NUMERO DU NIVEAU QUI MENE A LA DIM, NUMERO DU POINT)

creaNivDimEnfers("eternalfest/contrees/templeOublie", 10, 2, 8, ".0.89")
creaNivDimEnfers("eternalfest/contrees/templeOublie", 9, 2, 65, ".0")

